#
# You need to have cudd installed.  
# Set CUDD_HOME to the root of your CUDD installation.
#

CC = g++
CUDD_HOME= ../cudd-2.4.2/
CUDD_INCLUDE= -I$(CUDD_HOME)/include
CUDD_LIBS= -L$(CUDD_HOME)/cudd/ \
	   -L$(CUDD_HOME)/util/ \
	   -L$(CUDD_HOME)/epd/ \
	   -L$(CUDD_HOME)/mtr/ \
	   -L$(CUDD_HOME)/st/  \

LIBS= -lcudd -lmtr -lst -lutil -lepd

myBDD: myBDD.o
	$(CC) -g myBDD.o -o $@ $(CUDD_LIBS) $(LIBS) 
myBDD.o: myBDD.cpp
	$(CC) -c -g $(CUDD_INCLUDE) myBDD.cpp -o $@
clean:
	rm -f *.o
	rm -f myBDD
	rm -f *.dot
